[php-maint] PHP with MySQL support and compability with other apache modules that use MySQL

Jonas Meurer jonas at freesources.org
Thu Oct 20 01:52:29 UTC 2005

On 20/10/2005 Adam Conrad wrote:
> Jonas Meurer wrote:
> > After investigating the bug and conversation with the python-mysqldb
> > upstream author, I'm quite sure that the problem is the php4 apache
> > module, or even better, it's mysql extension.
> We don't use the internal mysql library, we use one of the Debian ones,
> however we use libmysqlclient12, and there's a fair chance you're using
> libmysqlclient14, and all hell has broken loose.  Symbol versioning has
> recently been added to these libraries, so as packages get rebuilt,
> everything should settle again, and the segfaults will go away.

hello Adam,

ah, so symbol versioning has been added to which libs? the mysql
libraries? do the versions in debian/unstable already have symbol
versioning? if so, just rebuilding python-mysqldb with a new upload
should fix that problem, shouldn't it?


More information about the pkg-php-maint mailing list